Subject: Re: bug#66042: 30.0.50; ERT test fails while trying to indent pretty-print

From: Mauro Aranda <[email-masked]>
Date: Sun, 17 Sep 2023 08:46:45 -0300

Hi Prot,

Protesilaos Stavrou <[email-masked]> writes:

 > Dear maintainers,
 >
 > I have encountered a possible bug with an ERT test where it is trying to
 > perform indentation and fails with:
 >
 >     lisp-indent-initial-state: Wrong type argument: wholenump, -2
 >
 > This is the test I am running:
 >
 >     (defun test-case (text pos expected)
 >       (with-temp-buffer
 >         (insert text)
 >         (goto-char pos)
 >         (backward-kill-word 1)
 >         (should (string-equal (buffer-string) expected))))
 >
 >     (ert-deftest my-test ()
 >       (test-case "aaa)))" 7 "aaa"))

I tried to reproduce it on current master, but I couldn't.  I ran the
test interactively, in case that makes a difference.